## 使用 UIWebView 或 WKWebView 注意事项


```
苹果官方建议：
从iOS 8.0和OS X 10.10开始，使用WKWebView将Web内容添加到您的应用程序。不要使用UIWebView或WebView。
Starting in iOS 8.0 and OS X 10.10, use WKWebView to add web content to your app. Do not use UIWebView or WebView.
```

视频在h5页面内播放属性是 inline playback, UIWebView 默认开，WKWebView 默认关。
UIWebView 在 iOS 11.3 上设置 inline playback 无效，iOS 11.0.3 上可以，两个系统播放器不同。所以不建议继续使用 UIWebView。

### 配置

设置  `info.plist`  `NSAppTransportSecurity` 字段，允许非HTTPS连接访问

加入 `NSAllowsArbitraryLoadsInWebContent` 键，允许任意web页面加载，或设置 `NSAllowsArbitraryLoads` 为 `YES` 来禁用ATS。

```xml
<key>NSAppTransportSecurity</key>
<dict>
    <key>NSAllowsArbitraryLoadsInWebContent</key>
    <true/>
</dict>
```
### 参数配置

- 自动全屏
- 自动播放



[下载调试](https://www.pgyer.com/BHG2)，密码 polyv

![蒲公英下载地址](https://www.pgyer.com/app/qrcode/BHG2)

### 参考资料

- [UIWebView 官方文档](https://developer.apple.com/documentation/uikit/uiwebview?language=objc)
- [WKWebView 官方文档](https://developer.apple.com/documentation/webkit/wkwebview?language=objc)
