//
//  PLVFloatingWindow.h
//  WebView-Test
//
//  Created by POLYV-UX on 2021/1/15.
//  Copyright © 2021 easefun. All rights reserved.
//

#import <UIKit/UIKit.h>
#import <WebKit/WebKit.h>
#import "PLVFloatingWKWebViewController.h"

NS_ASSUME_NONNULL_BEGIN

@interface PLVFloatingWindow : UIWindow

@property (nonatomic, strong, readonly) WKWebView *mainWebview;

/// 还原时，如果控制器还在导航栈中，则通过此回调处理。
@property (nonatomic, strong) void (^recoverWebViewBlock)(WKWebView *webview);

+ (instancetype)sharedInstance;

/// 把webview从控制器移动到window上
/// @param webview 要移动的webview
/// @param height webview的内容高度（为0则使用默认高度）
/// @param containerVC webview所在的控制器
-(void)moveWebviewToWindow:(WKWebView *)webview contentHeight:(CGFloat)height fromController:(PLVFloatingWKWebViewController *)containerVC;


/// 关闭小窗
-(void)clickCloseWindowAction;

@end

NS_ASSUME_NONNULL_END
