//
//  PLVUtils.m
//  WebView-Test
//
//  Created by POLYV-UX on 2021/1/20.
//  Copyright © 2021 easefun. All rights reserved.
//

#import "PLVUtil.h"

@implementation PLVUtil

#pragma mark - Dic&ArrayUtil

/// 检查字典是否可用 (YES-可用；NO-不可用；‘可用’代表不为空、NSDictionary类型、count大于0)
+(BOOL)checkDictionaryUseable:(NSDictionary *)dict
{
    if (dict && [dict isKindOfClass:NSDictionary.class] && dict.count > 0) {
        return YES;
    }
    return NO;
}


#pragma mark - StringUtil

/// 检查字符串是否可用(YES-可用；NO-不可用)
+(BOOL)checkStringUseable:(NSString *)string
{
    if (string && [string isKindOfClass:NSString.class] && string.length > 0) {
        return YES;
    }
    return NO;
}


#pragma mark - 屏幕旋转

/// 旋转设备到指定方向
+(void)rotateOrientation:(UIInterfaceOrientation)orientation
{
    if ([[UIDevice currentDevice] respondsToSelector:@selector(setOrientation:)]) {
        SEL selector = NSSelectorFromString(@"setOrientation:");
        NSInvocation *invocation = [NSInvocation invocationWithMethodSignature:[UIDevice instanceMethodSignatureForSelector:selector]];
        [invocation setSelector:selector];
        [invocation setTarget:[UIDevice currentDevice]];
        int val = (int)orientation;
        [invocation setArgument:&val atIndex:2];
        [invocation invoke];
    }
}

@end
